<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <import type="com.lukouguoji.module_base.ui.weight.data.layout.DataLayoutType" />

        <variable
            name="viewModel"
            type="com.lukouguoji.aerologic.page.gnj.stash.details.GnjStashDetailsViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="10dp">

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                title='@{"运单号："}'
                titleLength="@{5}"
                type="@{DataLayoutType.INPUT}"
                value='@={viewModel.dataBean.wbNo}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                hint='@{" "}'
                list="@{viewModel.agentList}"
                title='@{"代理人："}'
                titleLength="@{5}"
                type="@{DataLayoutType.SPINNER}"
                value='@={viewModel.dataBean.agentCode}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                hint='@{" "}'
                list="@{viewModel.spCodeList}"
                title='@{"特码："}'
                titleLength="@{5}"
                type="@{DataLayoutType.SPINNER}"
                value='@={viewModel.dataBean.spCode}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="10dp">

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                title='@{"件数："}'
                titleLength="@{5}"
                type="@{DataLayoutType.INPUT}"
                value='@={viewModel.dataBean.pc}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                title='@{"重量："}'
                titleLength="@{5}"
                type="@{DataLayoutType.INPUT}"
                value='@={viewModel.dataBean.weight}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                title='@{"库位："}'
                titleLength="@{5}"
                type="@{DataLayoutType.INPUT}"
                value='@={viewModel.dataBean.location}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="10dp">

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                title='@{"航班日期："}'
                titleLength="@{5}"
                type="@{DataLayoutType.INPUT}"
                value='@={viewModel.dataBean.fdate}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                title='@{"航班号："}'
                titleLength="@{5}"
                type="@{DataLayoutType.INPUT}"
                value='@={viewModel.dataBean.fno}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                title='@{"始发港："}'
                titleLength="@{5}"
                type="@{DataLayoutType.INPUT}"
                value='@={viewModel.dataBean.origin}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="10dp">

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                hint='@{" "}'
                list="@{viewModel.waybillTypeList}"
                title='@{"运单类型："}'
                titleLength="@{5}"
                type="@{DataLayoutType.SPINNER}"
                value='@={viewModel.dataBean.awbType}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                hint='@{" "}'
                list="@{viewModel.businessTypeList}"
                title='@{"业务类型："}'
                titleLength="@{5}"
                type="@{DataLayoutType.SPINNER}"
                value='@={viewModel.dataBean.businessType}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                hint='@{" "}'
                list="@{viewModel.packageTypeList}"
                title='@{"包装类型："}'
                titleLength="@{5}"
                type="@{DataLayoutType.SPINNER}"
                value='@={viewModel.dataBean.packageType}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="10dp">

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                title='@{"品名："}'
                titleLength="@{5}"
                type="@{DataLayoutType.INPUT}"
                value='@={viewModel.dataBean.goods}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="2" />

            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                enable="@{false}"
                hint='@{" "}'
                title='@{"入库时间："}'
                titleLength="@{5}"
                type="@{DataLayoutType.INPUT}"
                value='@={viewModel.dataBean.opDate}'
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

        </LinearLayout>

        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="#5c6890"
            android:gravity="center_vertical|end"
            android:paddingHorizontal="15dp">

        </LinearLayout>

    </LinearLayout>
</layout>